### A free/open-source library for quantitative finance

Public Member Functions
AbcdAtmVolCurve Class Reference

Abcd-interpolated at-the-money (no-smile) volatility curve. More...

`#include <ql/experimental/volatility/abcdatmvolcurve.hpp>`

Inheritance diagram for AbcdAtmVolCurve:
[legend]

List of all members.

## Public Member Functions

| AbcdAtmVolCurve (Natural settlementDays, const Calendar &cal, const std::vector< Period > &optionTenors, const std::vector< Handle< Quote > > &volsHandles, const std::vector< bool > inclusionInInterpolationFlag=std::vector< bool >(1, true), BusinessDayConvention bdc=Following, const DayCounter &dc=Actual365Fixed())
| floating reference date, floating market data
std::vector< Real > | k () const
| Returns k adjustment factors for option tenors used in interpolation.
Real | k (Time t) const
| Returns k adjustment factor at time t.
Real | a () const
Real | b () const
Real | c () const
Real | d () const
Real | rmsError () const
Real | maxError () const
EndCriteria::Type | endCriteria () const
TermStructure interface
virtual Date | maxDate () const
| the latest date for which the curve can return values
VolatilityTermStructure interface
Real | minStrike () const
| the minimum strike for which the term structure can return vols
Real | maxStrike () const
| the maximum strike for which the term structure can return vols
LazyObject interface
void | update ()
void | performCalculations () const
some inspectors
const std::vector< Period > & | optionTenors () const
const std::vector< Period > & | optionTenorsInInterpolation () const
const std::vector< Date > & | optionDates () const
const std::vector< Time > & | optionTimes () const
Visitability
virtual void | accept (AcyclicVisitor &)

## Protected Member Functions

BlackAtmVolCurve interface
virtual Real | atmVarianceImpl (Time t) const
| spot at-the-money variance calculation (k adjusted)
virtual Volatility | atmVolImpl (Time t) const
| spot at-the-money volatility calculation (k adjusted)

## Detailed Description

Abcd-interpolated at-the-money (no-smile) volatility curve.

blah blah

## Member Function Documentation

void update | ( |  | ) | `[virtual]`

This method must be implemented in derived classes. An instance of Observer does not call this method directly: instead, it will be called by the observables the instance registered with when they need to notify any changes.

Reimplemented from LazyObject.

void performCalculations | ( |  | ) | const`[virtual]`

This method must implement any calculations which must be (re)done in order to calculate the desired results.

Implements LazyObject.